#!/bin/sh

SCRIPT_CMD=$1
PACKAGE_IDCODE=$2
COMPONENT_FAMILYNAME=$3
COMPONENT_PATH=$4

INSTALL_NAME="install.sh"
UNINSTALL_NAME="uninstall.sh"
UPDATER_NAME="updater"
GENERIC_PACKAGE_INSTALL_NAME="package_install.sh"
GENERIC_PACKAGE_UNINSTALL_NAME="package_uninstall.sh"
DESCRIPT_NAME="header"
LIB_INSTALL_PATH="/usr/local/lib"
BIN_INSTALL_PATH="/usr/local/bin"

INSTALL_CMD="install"
ACTIVATE_CMD="activate"


echo ""
if test $SCRIPT_CMD = $INSTALL_CMD; then
	echo "*************** INSTALL COMPONENT SCRIPT ******************"
elif test $SCRIPT_CMD = $ACTIVATE_CMD; then
	echo "*************** ACTIVATE COMPONENT SCRIPT ******************"
else
	echo "Error : Component script unknown command"
	exit 1
fi

if ! test -d $COMPONENT_PATH; then
	echo "Component path $COMPONENT_PATH doesn't exit"
	exit 127
fi

cd $COMPONENT_PATH

# Commands to do for component should be added here
# Exit with 0 for success

if test $SCRIPT_CMD = $ACTIVATE_CMD; then
	# Mount the jffs2
	mount /dev/mtdblock/5

   #remove former S10.sh
	if [ -e /etc/init.d/S10.sh ]; then
	  rm -f /etc/init.d/S10.sh
	fi
	
	#create a link to the new script 
	ln -s $COMPONENT_PATH/S10.sh /etc/init.d/S10.sh
fi

if ! $UPDATER_NAME $SCRIPT_CMD $PACKAGE_IDCODE $DESCRIPT_NAME; then
	echo ""
	echo "Error : Couldn't $SCRIPT_CMD $PACKAGE_IDCODE in database"
	exit 1
fi

exit 0
