#!/bin/sh

SCRIPT_CMD=$1
PACKAGE_IDCODE=$2
COMPONENT_FAMILYNAME=$3
COMPONENT_PATH=$4
FORCE_DELETING=$5

INSTALL_NAME="install.sh"
UNINSTALL_NAME="uninstall.sh"
UPDATER_NAME="updater"
GENERIC_PACKAGE_INSTALL_NAME="package_install.sh"
GENERIC_PACKAGE_UNINSTALL_NAME="package_uninstall.sh"
DESCRIPT_NAME="header"

UNINSTALL_CMD="remove"
UNACTIVATE_CMD="unactivate"

LIB_INSTALL_PATH="/usr/local/lib"
BIN_INSTALL_PATH="/usr/local/bin"
VAR_INSTALL_PATH="/usr/local/var"


echo ""
if test "$SCRIPT_CMD" = $UNINSTALL_CMD; then
	echo "*************** UNINSTALL COMPONENT SCRIPT ******************"
elif test "$SCRIPT_CMD" = $UNACTIVATE_CMD; then
	echo "*************** UNACTIVATE COMPONENT SCRIPT ******************"
else
	echo "Error : Component srcipt unknown command" 1>&3
	exit 1
fi

if ! test -d "$COMPONENT_PATH"; then
	echo "Error Component path $COMPONENT_PATH doesn't exit" 1>&3
	exit 1
fi

cd $COMPONENT_PATH

# Commands to do for component should be added here

# Descriptor file 3 is custom error flow. It will be printed on the install ticket

# Exit with 0 for success


if test $SCRIPT_CMD = $UNACTIVATE_CMD; then
	# Mount the jffs2
	mount /dev/mtdblock/5

   # if there is a link to our script then remove the link
   # and copy former S10.sh from CRAMFS to JFFS2
   # 
   if [ -L /etc/init.d/S10.sh ]; then
      LINK_TARGET=`readlink /etc/init.d/S10.sh`
      if [ "$LINK_TARGET" == "$COMPONENT_PATH/S10.sh" ]; then
         rm -f /etc/init.d/S10.sh
         if [ -f /opt/etc/init.d/S10.sh ]; then
            cp /opt/etc/init.d/S10.sh /etc/init.d/
         fi
      fi   
   fi
fi


if ! $UPDATER_NAME $SCRIPT_CMD $PACKAGE_IDCODE $DESCRIPT_NAME $FORCE_DELETING; then
	echo ""
	echo "Warning : Couldn't $SCRIPT_CMD $PACKAGE_IDCODE from database" 1>&3
fi

exit 0
